Bug 40316 - Extrapolate trend line (regression curve)
Summary: Extrapolate trend line (regression curve)
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Chart (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: Other All
: medium enhancement
Assignee: Tomaz Vajngerl
QA Contact:
URL:
Whiteboard: target:4.3.0 target:4.2.0.1
Keywords:
Depends on:
Blocks: 40317
  Show dependency treegraph
 
Reported: 2011-08-23 10:14 UTC by Laurent BP
Modified: 2013-12-14 10:11 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Laurent BP 2011-08-23 10:14:00 UTC
Hello,

This is the continuation of OOo issue 5085:
extrapolate regression lines (extend trendlines) (forward/backward forecast) 
http://openoffice.org/bugzilla/show_bug.cgi?id=5085

Some file format modifications are required as for bug 35712:
add polynomial regression type trend line
https://bugs.freedesktop.org/show_bug.cgi?id=35712

You can find on this last bug two documents presenting file format modification
and a draft for user interface.
Comment 1 Björn Michaelsen 2011-12-23 12:36:42 UTC
[This is an automated message.]
This bug was filed before the changes to Bugzilla on 2011-10-16. Thus it
started right out as NEW without ever being explicitly confirmed. The bug is
changed to state NEEDINFO for this reason. To move this bug from NEEDINFO back
to NEW please check if the bug still persists with the 3.5.0 beta1 or beta2 prereleases.
Details on how to test the 3.5.0 beta1 can be found at:
http://wiki.documentfoundation.org/QA/BugHunting_Session_3.5.0.-1

more detail on this bulk operation: http://nabble.documentfoundation.org/RFC-Operation-Spamzilla-tp3607474p3607474.html
Comment 2 Laurent BP 2011-12-26 13:30:28 UTC
Hello,

This enhancement has not been introduced in LibO 3.5.
Extension CorelPolyGUI (Improved trend lines) does not neither provide a
solution:
http://extensions.libreoffice.org/extension-center/improved-trend-lines
Comment 3 ign_christian 2013-06-18 02:54:36 UTC
Could you please retest using LO 3.6.6 or 4.0.3 regarding some updates on extension stated in comment 2 ?
Comment 4 Laurent BP 2013-07-04 21:05:22 UTC
Hello Tomaž

Thanks a lot for your great job :)
I assigned you to this bug, as you already done the job ;)

Here are some comments about Version: 4.2.0.0.alpha0+
Build ID: e703b429cf448deddc7682a33c3e6221889efe98

- Improvement: negative value for extrapolate
Comment 5 Tomaz Vajngerl 2013-11-25 17:32:21 UTC
Hi Laurent,

in the end it was you who implemented "negative value for extrapolate" and I who tested. :) Works nice in ODS, XLS and XLSX. I think this bug is fixed.

Regards, Tomaž
Comment 6 Commit Notification 2013-12-14 09:46:50 UTC
Laurent Balland-Poirier committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=3c5dd9812b1028188b186f070874bdb6ecdcd4ba

fdo#40316 Remove SpinButton in UI for extrapolate trendline



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2013-12-14 10:11:52 UTC
Laurent Balland-Poirier committed a patch related to this issue.
It has been pushed to "libreoffice-4-2":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=fefdd355b5acc465159a57ee2972d1574fc1ef49&h=libreoffice-4-2

fdo#40316 Remove SpinButton in UI for extrapolate trendline


It will be available in LibreOffice 4.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.